- terms_link_start = '<a href="https://about.gitlab.com/handbook/legal/testing-agreement/" target="_blank" rel="noopener noreferrer">'.html_safe

= gitlab_ui_form_for @application_setting, url: general_admin_application_settings_path(anchor: 'js-secret-detection-settings'), html: { class: 'fieldset-form', id: 'secret-detection-settings' } do |f|
  = form_errors(@application_setting)

  %fieldset
    .form-group
      = f.label :pre_receive_secret_detection_enabled, s_('AdminSettings|Secret Push Protection'), class: 'label-bold'
      = render 'beta_badge', style: 'gl-ml-1 gl-mt-1'
      %span.form-text.gl-mt-0.gl-mb-3#pre_receive_secret_detection-help
        = _('Prevent secrets such as keys and API tokens from being committed to any repository in this GitLab instance.')
      = f.gitlab_ui_checkbox_component :pre_receive_secret_detection_enabled, _('Allow secret push protection'), help_text: _("Allow projects to enable secret push protection. This does not enable secret push protection. When you enable this feature, you accept the %{link_start}GitLab Testing Agreement%{link_end}.").html_safe % { link_start: terms_link_start, link_end: '</a>'.html_safe }
  = f.submit _('Save changes'), pajamas_button: true
